SYSTEMD-SYSUSERS(8)

BEZEICHNUNG
systemd-sysusers, systemd-sysusers.service - Systembenutzer und -gruppen zuweisen

ÜBERSICHT

systemd-sysusers [OPTIONEN …] [KONFIGURATIONSDATEI …]

systemd-sysusers.service

BESCHREIBUNG

Systemd-sysusers legt, basierend auf Dateien in dem in sysusers.d(5) beschriebenen Format, Systembenutzer und -gruppen an.

Beim Aufruf ohne Argumente wendet es alle Anweisungen aus allen Dateien in den durch sysusers.d(5) festgelegten Verzeichnissen an. Falls die Option --replace=PFAD angegeben wird und der Aufruf mit positionsbezogenen Argumenten erfolgt, werden die auf der Befehlszeile angegebenen Argumente statt der Konfigurationsdatei PFAD verwandt. Andernfalls wird nur die auf der Befehlszeile angegebene Konfiguration ausgeführt. Die Zeichenkette »-« kann statt eines Dateinamens angegeben werden, um systemd-sysusers anzuweisen, die Konfiguration aus der Standardeingabe zu lesen. Falls das Argument ein relativer Pfad ist, werden alle Konfigurationsverzeichnisse auf passende Dateien durchsucht und die gefundene Datei mit der höchsten Priorität wird ausgeführt. Falls das Agument ein absoluter Pfad ist, wird diese Datei direkt verwandt, ohne in den Konfigurationsdateien zu suchen.

OPTIONEN

Die folgenden Optionen werden verstanden:

--root=Wurzel
    Akzeptiert einen Verzeichnispfad als Argument. Allen Pfaden wird der angegebene alternative Wurzel-Pfad vorangestellt, einschließlich der Suchpfade für die Konfiguration.

--image=Abbild
    Akzeptiert einen Pfad zu einer Plattenabbilddatei oder einem Blockgerätenamen. Falls angegeben, werden alle Aktionen auf das Dateisystem in dem angegebenen Plattenabbild angewandt. Dies ist ähnlich zu --root=, agiert aber auf Dateisystemen, die in Plattenabbildern oder Blockgeräten gespeichert sind. Das Plattenabbild sollte entweder nur ein Dateisystem oder eine Reihe von Dateisystemen innerhalb einer GPT-Partitionstabelle enthalten, die der Spezifikation für auffindbare Partitionen[1] folgt. Für weitere Informationen über unterstützte Plattenabbilder, siehe den Schalter von systemd-nspawn(1) mit dem gleichen Namen.

--image-policy=Richtlinie
    Akzeptiert gemäß systemd.image-policy(7) eine Abbildrichtlinienzeichenkette als Argument. Die Richtlinie wird bei Aktionen auf dem mittels --image= angegebenen Plattenabbild durchgesetzt, siehe oben. Falls nicht angegeben ist die Vorgabe die Richtlinie »*«, d.h. alle erkannten Dateisysteme im Abbild werden verwandt.

--replace=PFAD
    Wird diese Option angegeben, müssen eine oder mehrere positionsbezogene Argumente festgelegt werden. Alle in den in sysusers.d(5) aufgeführten Verzeichnissen gefundenen Konfigurationsdateien werden gelesen und die auf der Befehlszeile übergebene Konfiguration wird statt der Konfigurationsdatei PFAD mit der gleichen Priorität wie diese verwandt.

    Wenn die Installationsskripte laufen und zum Paket gehörende Dateien noch nicht verfügbar sind, muss der Inhalt der Skripte auf der Befehlszeile übergeben werden. Diese Option sorgt dafür, dass die Konfigurationsskripte des Administrators eine höhere Priorität erhalten, sofern diese bereits existieren.

    Beispiel 1. RPM-Installationsskript für Radvd

        echo 'u radvd - "radvd daemon"' | \
                  systemd-sysusers --replace=/usr/lib/sysusers.d/radvd.conf -

    Dies erzeugt den Benutzer radvd, als ob /usr/lib/sysusers.d/radvd.conf bereits auf Platte wäre. Ein Administrator könnte die auf der Befehlszeile übergebene Konfiguration außer Kraft setzen, indem er /etc/sysusers.d/radvd.conf oder sogar /etc/sysusers.d/00-overrides.conf erzeugt.

    Beachten Sie, dass dies dies die expandierte Form ist. Wird dies in einem Paket verwandt, würde es mit einem Makro mit »radvd« und einer Datei, die die Konfigurationszeile als Argumente enthält, geschrieben.

--dry-run
    Verarbeitet die Konfiguration und ermittelt, welche Einträge erstellt würden, aber schreibt nichts wirklich.

--inline
    Behandelt jedes positionsabhängige Argument als separate Konfigurationszeile statt als einen Dateinamen.

--cat-config
    Kopiert den Inhalt der Konfigurationsdateien in die Standardausgabe. Vor jeder Datei wird der Dateiname als Kommentar ausgegeben.

--no-pager
    Leitet die Ausgabe nicht an ein Textanzeigeprogramm weiter.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

ZUGANGSDATEN

systemd-sysusers unterstützt die Dienste-Anmeldedatenlogik, wie sie durch ImportCredential=/LoadCredential=/SetCredential= implementiert wird (siehe systemd.exec(1) für Details). Die folgenden Anmeldedaten werden verwandt, wenn sie hereingereicht werden:

passwd.hashed-password.Benutzer
    Eine gehashte UNIX-Passwortzeichenkette, die für den festgelegten Benutzer verwandt werden soll, wenn für ihn ein Eintrag erstellt wird. Dies ist insbesondere für den Bneutzer »root« hilfreich, da er die Bereitstellung eines Vorgabe-Passworts für root über eine Unit-Dateiergänzung oder einen Container-Verwalter, der dieses Anmeldedatum weitergibt, erlaubt. Beachten Sie, dass das Setzen dieses Anmeldedatums keine Auswirkung hat, falls das festgelegte Benutzerkonto bereits existiert. Dieses Anmeldedatum ist daher hauptsächlich für Erst-Systemstart-Szenarien oder Systeme, die vollständig zustandslos sind, und bei jedem Systemstart mit einem leeren /etc/ hochkommen, nützlich.

passwd.plaintext-password.Benutzer
    Ähnlich zu »passwd.hashed-password.Benutzer«, erwartet aber ein direktes Klartextpasswort, das automatisch gehasht wird, bevor es für das Benutzerkonto verwandt wird. Falls für den gleichen Benutzer sowohl die Klartext- als auch die gehashten Anmeldedaten festgelegt werden, haben erstere Vorrang. Es wird im Allgemeinen empfohlen, die gehashte Version zu verwenden; in Testumgebungen mit geringeren Sicherheitsanforderungen mag es leichter sein, stattdessen Passwörter direkt im Klartext zu übergeben.

passwd.shell.Benutzer
    Gibt das Shell-Programm an, das für das festgelegte Konto bei der Erstellung verwandt werden soll.

sysusers.extra
    Der Inhalt dieser Zugangsberechtigung darf zusätzliche Zeilen enthalten, auf die agiert wird. Die Zugangsberechtigungsinhalte sollten dem gleichen Format wie jede andere Ergänzung für sysusers.d/ folgen. Falls die Zugangsberechtigung hereingereicht wird, wird sie nach allen anderen, aus dem Dateisystem gelesenen Ergänzungen verarbeitet.

Beachten Sie, dass standardmäßig die Unit-Datei systemd-sysusers.service so eingerichtet ist, dass es die Anmeldedaten »passwd.hashed-password.root«, »passwd.plaintext-password.root«, »passwd.shell.root« und »sysusers.extra« vom Diensteverwalter erbt. Wird daher ein Container mit einem leeren /etc/ das erste Mal aufgerufen, ist es möglich, das Passwort für den Benutzer root wie folgt auf »systemd« zu konfigurieren:

    # systemd-nspawn --image=… --set-credential=passwd.hashed-password.root:'$y$j9T$yAuRJu1o5HioZAGDYPU5d.$F64ni6J2y2nNQve90M/p0ZP0ECP/qqzipNyaY9fjGpC' …

Beachten Sie nochmals, dass die in diesem Anmeldedatum festgelegten Daten nur herangezogen werden, wenn erstmalig ein Konto erstellt wird, sie können nicht zum Ändern des Passworts oder der Shell eines bereits existierenden Kontos verwandt werden.

Verwenden Sie mkpasswd(1) zur Erstellung von UNIX-Passwort-Hashes auf der Befehlszeile.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

systemd(1), sysusers.d(5), Benutzer, Gruppen, UIDs und GIDs auf Systemd-Systemen[2], systemd.exec(1), mkpasswd(1)

ANMERKUNGEN

1.  Spezifikation für auffindbare Partitionen
    https://uapi-group.org/specifications/specs/discoverable_partitions_specification

2.  Benutzer, Gruppen, UIDs und GIDs auf Systemd-Systemen
    https://systemd.io/UIDS-GIDS

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).